/*!
 * #%L
 * chvote-bo
 * %%
 * Copyright (C) 2016 - 2019 République et Canton de Genève
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */

.replacement-form {
  display: flex;

}

.parameter-input-title {
  padding-left: 2rem;
}

.extra-buttons {
  margin-top: 10px;
  display: flow;
  justify-content: flex-end;
}

.replacement-form upload-input {
  flex: 1 1;
}

.mat-column-managementEntity {
  flex: 0 0 9rem;
}

.mat-row .mat-column-managementEntity {
  height: 5rem;
  align-self: flex-start;
}

.mat-row .mat-column-managementEntity > div {
  height: 5rem;
  display: table-cell;
  vertical-align: middle;
}

.mat-column-file {
  flex: 1 0 10rem;
}

.mat-column-type {
  flex: 0 0 10rem;
}

.mat-column-author {
  flex: 0 0 10rem;
}

.mat-row .mat-column-author {
  height: 5rem;
  align-self: flex-start;
}

.mat-row .mat-column-author > div {
  height: 5rem;
  display: table-cell;
  vertical-align: middle;
}

.mat-column-importedDate {
  flex: 0 0 8rem;
}

.mat-row .mat-column-importedDate {
  height: 5rem;
  align-self: flex-start;
}

.mat-row .mat-column-importedDate > div {
  height: 5rem;
  display: table-cell;
  vertical-align: middle;
}

.mat-column-actions {
  flex: 0 0 10rem;
  text-align: center;
}

.mat-row .mat-column-actions {
  height: 5rem;
  align-self: flex-start;
}

.mat-row .mat-column-actions > button {
  height: 5rem;
  display: table-cell;
  vertical-align: middle;
}

.td-expansion-panel {
  box-shadow: none;
  background-color: white;
}

.td-expand-icon {
  padding-right: 1.6rem;
}

.td-expansion-label {
  font-size: 1.3rem;
}

